{
  description = "The BASE engine demo game";

  inputs = {
    nixpkgs.url = "nixpkgs/nixos-25.05";

    flake-utils.url = "github:numtide/flake-utils";

    base.url = "git+https://git.orleander.pl/bartek/base.git";
    base.inputs.nixpkgs.follows = "nixpkgs";
    base.inputs.flake-utils.follows = "flake-utils";
  };

  outputs = inputs @ {
    self,
    nixpkgs,
    flake-utils,
    ...
  }:
    flake-utils.lib.eachDefaultSystem (system: let
      pkgs = import nixpkgs {inherit system;};
    in {
      packages = rec {
        game = pkgs.callPackage ./game.nix (inputs // {inherit system;});
        default = game;
      };
    });
}
